Index: trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- trunk/prototype/modules/calendar/js/helpers.js	(revision 6956)
+++ trunk/prototype/modules/calendar/js/helpers.js	(revision 6996)
@@ -2390,11 +2380,11 @@
 	var goView = $(this).attr('class');
 	if(goView.indexOf('agendaDay') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaDay');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'agendaDay', type);
 	else if(goView.indexOf('month') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'month');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'month', type);
 	else if(goView.indexOf('year') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'year');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'year', type);
 	else if(goView.indexOf('agendaWeek') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaWeek');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'agendaWeek', type);
 
     });
@@ -2412,11 +2402,31 @@
 	var paginator = $(this).attr('class');
 	if(paginator.indexOf('next') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) +1), '', view);
+	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1), view, type);
 	else
-	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) -1), '', view);
+	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1), view, type);
     });	
 }
 
-function paginatorListEvent(currentView, typeView, view){
+function printEventList(view){
+	$('.fc-button-print.print-list-events').click(function(){
+		var window_print = window.open('','ExpressoCalendar','width=800,height=600,scrollbars=yes');
+		var listEvents = $(view).clone();
+		listEvents.find('.fc-button').remove();
+		listEvents.find('.details-event-list').remove();
+		listEvents.find('.list-events-paginator').attr( "align" , "center"  );
+		listEvents = listEvents.html();
+		type = $(this).parents('.ui-tabs-panel').attr("id").split("_")[1];
+		var data = {
+			type : type == "tasks" ? "task-list" : ( type == "events" ? "event-list" : "search"),
+			html : listEvents
+		}
+		window_print.document.open();		
+		window_print.document.write(DataLayer.render('templates/calendar_list_print.ejs', data));
+		window_print.document.close();
+		window_print.print();
+	});
+}
+
+function paginatorListEvent(currentView, typeView, view, type){
     if(!!$(currentView).find('.fc-calendar').length)
 	return;
@@ -2430,11 +2440,14 @@
     $(currentView+' .events-list.events-list-win.active .fc-header .fc-header-center').addClass('list-events-paginator');
     $(currentView+' .events-list.events-list-win.active .fc-header .list-events-paginator').removeClass('fc-header-center');		
-		
+    		
     //Adicionar class no header padronizar com a tela principal
-    $(currentView+' .events-list.events-list-win.active .fc-header').addClass('header-paginator');
-    $(currentView+' .events-list.events-list-win.active .header-paginator').removeClass('fc-header');
-				
+	$(currentView+' .events-list.events-list-win.active .fc-header .fc-button-print').addClass('print-list-events');		
+	$(currentView+' .events-list.events-list-win.active .fc-header').addClass('header-paginator');
+    $(currentView+' .events-list.events-list-win.active .header-paginator').removeClass('fc-header');	
+	
+	printEventList(currentView);
+	
     if(typeView == 'search'){
-	$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right').remove()
+	$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right span.fc-button:not(.fc-button-print)').remove();
 	$(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>Resultados para: '+$(currentView+' [name = keyword]').val()+'</h2>');
 	if((parseInt($(currentView+' [name = page_index]').val()) == 0) && (parseInt($(currentView+' [name = results]').val()) <= 25))
@@ -2442,5 +2455,5 @@
 	paginatorSearch(currentView);
     }else
-	paginatorList(currentView, view);
+	paginatorList(currentView, view, type);
 }
 
@@ -2450,8 +2463,8 @@
 	case 'basicDay':
 	case 'agendaDay':
-	    rangeStart = new Date().add({
+	    rangeStart = new Date.today().add({
 		days: page_index
 	    }).getTime();
-	    rangeEnd = rangeStart;
+	    rangeEnd = rangeStart + 86400000;
 	    break;
 	case 'agendaWeek':
@@ -2519,11 +2532,17 @@
 }
 
-function pageselectCallback(keyword, page_index, jq, view){
-	
-    var selecteds = getSelectedCalendars();
-    if(!selecteds && (keyword != '' && keyword != null)){	
-	jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
-	    '<div title="Lista de eventos" class="events-list events-list-win active empty">' +
-	    '<label>Por favor selecione ao menos uma agenda.</label>' +
+function pageselectCallback(keyword, page_index, view, type){
+    $('.qtip.qtip-blue').remove();
+	var tab_selector = ['tab_events_list_', 'tab_tasks_list_', 'tab_all_list_'];
+	var tab_title = ['Lista de eventos', 'Lista de tarefas'];
+	var label_noselect_calendar = ['Por favor selecione ao menos uma agenda.', 'Por favor selecione ao menos um grupo.', 'Por favor selecione ao menos uma agenda ou grupo.'];
+	var label_nofound_search = ['Não foi encontrado nenhum evento correspondente à sua pesquisa.', 'Não foi encontrado nenhuma tarefa ou atividade correspondente à sua pesquisa.', 'Não foi encontrado nenhum evento ou tarefa ou atividade correspondente à sua pesquisa.'];
+	var label_nofound = ['Não foram encontrados eventos neste intervalo.', 'Não foram encontradas tarefas ou atividades neste intervalo.', 'Não foram encontrados eventos ou tarefas ou atividades neste intervalo.'];
+	var selecteds = getSelectedCalendars(false, type);
+    
+	if(!selecteds && (keyword != '' && keyword != null)){	
+	jQuery('#'+tab_selector[type] + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
+	    '<div title="'+tab_title[type]+'" class="events-list events-list-win active empty">' +
+	    '<label>'+label_noselect_calendar[type]+'</label>' +
 	    '</div>'
 	    );
@@ -2545,13 +2564,13 @@
     var results = DataLayer.get('schedulable:detail', criteria);
     keyword = ( keyword || '' ).replace( /\s+/g, "_" );	
-}
+	}
 // não há resultados	
 
-var currentView = '#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "") || '');
+var currentView = '#'+tab_selector[type] + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "") || '');
 
 if ((((typeof(results) == 'undefined') || (!results.events_list )) && selecteds) &&(keyword != '' && keyword != null)) {
     $(currentView).html(
-		'<div title="Lista de eventos" class="events-list events-list-win active empty">' +
-		'<label>Não foi encontrado nenhum evento correspondente à sua pesquisa.</label>' +
+		'<div title="'+title+'" class="events-list events-list-win active empty">' +
+		'<label>'+label_nofound_search[type]+'</label>' +
 		'</div>'
 	);
@@ -2561,5 +2580,5 @@
 		results['page_index'] = page_index;
 		results['keyword'] = keyword;
-				
+		results['tab_title'] = tab_title[type];	
 		DataLayer.render( 'templates/event_list.ejs', results, function( html ){
 			
@@ -2567,44 +2586,67 @@
 			$('.events-list-win .menu-container .button').button();
 															
-			$(".event-details-item").parent().click(function(){
-
+			$(".event-details-item").parent().click(function(event){
+			event.stopImmediatePropagation();
 			$(this).siblings("div.details-event-list").toggleClass("hidden")
-			.find('.button.delete').click(function(){
+			.find('.button.delete').click(function(event){
 				var eventId = $(this).siblings('[name="eventid"]').val();
 				var calendarId = $(this).siblings('[name="calendarid"]').val();
-
 				remove_event(eventId, calendarId);
+				event.stopImmediatePropagation()
 			})
-			.end().find('.button.edit').click(function(){				
-				eventDetails( DataLayer.get( "schedulable", $(this).siblings('[name="eventid"]').val() ), true );					
+			.end().find('.button.edit').click(function(event){	
+				if($(this).siblings('[name="eventtype"]').val() == 1)
+					eventDetails( DataLayer.get( "schedulable", $(this).siblings('[name="eventid"]').val() ), true );		
+				else
+					taskDetails( DataLayer.get( "schedulable", $(this).siblings('[name="eventid"]').val() ), true );
+					
+				event.stopImmediatePropagation()
+			})
+			.end().find('.button.print').click(function(event){	
+				var window_print = window.open('','ExpressoCalendar','width=800,height=600,scrollbars=yes');
+				var html = $(this).parents("td:first").clone();
+				html.find(".menu-container.footer-container").remove();
+				var html = html.html();
+				var data = {
+					type : $(this).parents('.details-event-list').hasClass("details-event") ? "event-detail" : "task-detail",
+					html : html
+				}
+				window_print.document.open();		
+				window_print.document.write(DataLayer.render('templates/calendar_list_print.ejs', data));
+				window_print.document.close();
+				window_print.print();
+				
+				event.stopImmediatePropagation()
 			});
 
 			});
-			paginatorListEvent(currentView, (keyword == '' || keyword == null) ? 'list' : 'search',  !!view ? view : User.preferences.defaultCalView);
+			paginatorListEvent(currentView, (keyword == '' || keyword == null) ? 'list' : 'search',  !!view ? view : User.preferences.defaultCalView, type);
 		});
     }else{
 		$(currentView).html(
-			'<div title="Lista de eventos" class="events-list events-list-win active empty">' +
+			'<div title="'+title+'" class="events-list events-list-win active empty">' +
 			'<input type="hidden" name="page_index" value="'+page_index+'"></inpunt>'+
 			'<input type="hidden" name="keyword" value="'+keyword+'"></inpunt>'+
-			'<label class="empty-result">Não foram encontrados eventos neste intervalo.</label>' +
+			'<label class="empty-result">'+label_nofound[type]+'</label>' +
 			'</div>'
 			);
-		paginatorListEvent(currentView, 'list', !!view ? view : User.preferences.defaultCalView);
-    }
-}
-	if(currentView != '#tab_events_list_')
+		paginatorListEvent(currentView, 'list', !!view ? view : User.preferences.defaultCalView, type);
+    }
+}
+	if(currentView != '#'+tab_selector[type])
 	    $tabs.tabs("select", currentView);
 }
 
-function show_modal_import_export(tab, calendarId) {
+function show_modal_import_export(tab, calendarId, typeView){
+    $('.qtip.qtip-blue').remove();
     DataLayer.render( 'templates/import_export.ejs', {
-	calendars: Calendar.calendars, 
-	owner: User.me.id
+	calendars: typeView == 0 ? Calendar.calendars : Calendar.groups, 
+	owner: User.me.id,
+	typeView: typeView
 	}, function( html ){
 
 	if (!UI.dialogs.importCalendar) {
 	    UI.dialogs.importCalendar = jQuery('#div-import-export-calendar')
-	    .append('<div title="Importar e Exportar Eventos" class="import-export import-export-win active"> <div>')
+	    .append('<div title="Importar e Exportar "' + (typeView == 0 ? 'Eventos' : 'Tarefas') + '" class="import-export import-export-win active"> <div>')
 	    .find('.import-export-win.active').html(html).dialog({
 		resizable: false, 
@@ -2831,2 +2873,141 @@
     }
 }
+
+function extendsFileupload(view, path){
+    var viewName = 'div.new-'+view+'-win';
+    
+    path = !!path ? path : '';
+    
+    var maxSizeFile = 2000000;
+    $('#fileupload'+view).fileupload({
+	sequentialUploads: true,
+	add: function (e, data) {
+	    if(data.files[0].size < maxSizeFile)
+		data.submit();
+	},
+	change: function (e, data) {
+	    $.each(data.files, function (index, file) {
+		var attach = {};
+		attach.fileName = file.name;
+		var ext = file.name.split('.');
+		if(file.name.length > 10)
+		    attach.fileName = ext.length == 1 ? file.name.substr(0, 10) :  file.name.substr(0, 6) + '.' + ext[ext.length -1];
+		attach.fileSize = formatBytes(file.size);
+		if(file.size > maxSizeFile)
+		    attach.error = 'Tamanho de arquivo nao permitido!!'
+				
+		$(viewName+' .attachments-list').append(DataLayer.render(path+'templates/attachment_add_itemlist.ejs', {
+		    file : attach
+		}));
+				
+		if(file.size < maxSizeFile){
+		    $(viewName+' .fileinput-button.new').append(data.fileInput[0]).removeClass('new');
+		    $(viewName+' .attachments-list').find('[type=file]').addClass('hidden');
+					
+		}else
+		    $(viewName+' .fileinput-button.new').removeClass('new');
+				
+				
+		$(viewName+' .attachments-list').find('.button.close').button({
+		    icons: {
+			primary: "ui-icon-close"
+		    },
+		    text: false
+		}).click(function(){
+		    var idAttach = $(this).parent().find('input[name="fileId[]"]').val();
+		    $(viewName+' .attachment-list').find('input[value="'+idAttach+'"]').remove();
+		    $(this).parent().remove();
+		
+		    if(!$(viewName+' .attachment-list input').length)
+			$(viewName+' .btn-danger.delete').addClass('hidden');
+		
+		});	
+				
+	    })
+	},
+	done: function(e, data){
+	    var currentUpload = $(viewName+' .progress.after-upload:first').removeClass('after-upload').addClass('on-complete').hide();
+
+	    if(!!data.result && data.result != "[]"){
+		$(viewName+' .btn-danger.delete').removeClass('hidden');
+		var newAttach = (attch = jQuery.parseJSON(data.result)) ? attch : jQuery.parseJSON(data.result[0].activeElement.childNodes[0].data);
+		$(viewName+' .attachment-list').append('<input tyepe="hidden" name="attachment[]" value="'+newAttach['attachment'][0][0].id+'"/>');
+		currentUpload.removeClass('on-complete').parents('p')
+		.append('<input type="hidden" name="fileId[]" value="'+newAttach['attachment'][0][0].id+'"/>')
+		.find('.status-upload').addClass('ui-icon ui-icon-check');
+	    }else
+		currentUpload.removeClass('on-complete').parents('p').find('.status-upload').addClass('ui-icon ui-icon-cancel');
+	}
+    });
+    $('.attachments-list .button').button();    
+
+    if(!!window.FormData)			
+	$('#fileupload'+view).bind('fileuploadstart', function () {
+	    var widget = $(this),
+	    progressElement = $('#fileupload-progress-'+view).fadeIn(),
+	    interval = 500,
+	    total = 0,
+	    loaded = 0,
+	    loadedBefore = 0,
+	    progressTimer,
+	    progressHandler = function (e, data) {
+		loaded = data.loaded;
+		total = data.total;
+	    },
+	    stopHandler = function () {
+		widget
+		.unbind('fileuploadprogressall', progressHandler)
+		.unbind('fileuploadstop', stopHandler);
+		window.clearInterval(progressTimer);
+		progressElement.fadeOut(function () {
+		    progressElement.html('');
+		});
+	    },
+	    formatTime = function (seconds) {
+		var date = new Date(seconds * 1000);
+		return ('0' + date.getUTCHours()).slice(-2) + ':' +
+		('0' + date.getUTCMinutes()).slice(-2) + ':' +
+		('0' + date.getUTCSeconds()).slice(-2);
+	    },
+	    /* formatBytes = function (bytes) {
+            if (bytes >= 1000000000) {
+                return (bytes / 1000000000).toFixed(2) + ' GB';
+            }
+            if (bytes >= 1000000) {
+                return (bytes / 1000000).toFixed(2) + ' MB';
+            }
+            if (bytes >= 1000) {
+                return (bytes / 1000).toFixed(2) + ' KB';
+            }
+            return bytes + ' B';
+        },*/
+	    formatPercentage = function (floatValue) {
+		return (floatValue * 100).toFixed(2) + ' %';
+	    },
+	    updateProgressElement = function (loaded, total, bps) {
+		progressElement.html(
+		    formatBytes(bps) + 'ps | ' +
+		    formatTime((total - loaded) / bps) + ' | ' +
+		    formatPercentage(loaded / total) + ' | ' +
+		    formatBytes(loaded) + ' / ' + formatBytes(total)
+		    );
+	    },
+	    intervalHandler = function () {
+		var diff = loaded - loadedBefore;
+		if (!diff) {
+		    return;
+		}
+		loadedBefore = loaded;
+		updateProgressElement(
+		    loaded,
+		    total,
+		    diff * (1000 / interval)
+		    );
+	    };
+	    widget
+	    .bind('fileuploadprogressall', progressHandler)
+	    .bind('fileuploadstop', stopHandler);
+	    progressTimer = window.setInterval(intervalHandler, interval);
+	});
+    
+}
Index: trunk/prototype/modules/calendar/js/init.js
===================================================================
--- trunk/prototype/modules/calendar/js/init.js	(revision 6444)
+++ trunk/prototype/modules/calendar/js/init.js	(revision 6996)
@@ -147,4 +147,161 @@
 			}, true );
 		});
+		
+		var currentToolTip = null;
+		$('#divAppbox').on('scroll',function(){
+			if ($(".new-task").length)			
+				currentToolTip.qtip('destroy');
+		});
+		
+		/* Quick add task
+      	-----------------------------------------------------------------*/
+		$(".button.add.add-task").click(function(event){
+			currentToolTip = $(this);
+			var componente = $(this);
+			
+            if(!$('div.qtip.qtip-blue.new-task').length){
+
+                $('div.qtip.qtip-blue').remove();
+
+    			$(componente).qtip({
+    			    show: {
+    			    	ready: true, 
+    		    		solo: true, 
+    		    		when: {
+    			    		event: 'click'
+    			    	}
+    				},
+    				hide: false,
+    				content: {
+    					text: $('<div></div>').html( DataLayer.render( 'templates/task_quick_add.ejs', {"componente" : componente} ) ),
+    					title: {
+    						text:'Nova tarefa', 
+    						button: '<a class="button close" href="#">close</a>'
+    					}
+    				},
+    				style: {
+    					name: 'blue', 
+    			    	tip: {
+    						corner: 'leftMiddle'
+    					}, 
+    		    		border: {
+    					    width: 4, 
+    					    radius: 8
+    					}, 
+    			    	width: {
+    						min: 225, 
+    					    max:225
+    					}
+    		   		},
+    		    	position: {
+    		    		corner: {
+    					    target: 'rightMiddle',
+    					    tooltip: 'leftMiddle'
+    		    		},
+    		    		adjust: {
+    					    x:0, 
+    					    y:0
+    		    		}
+    		    	}
+    		    })
+    	    	.qtip("api").onShow = function(arg0) {
+
+	    		/*------------------------------------------------------------------------*/
+	    		/*               Seta os valores padrões nos inputs do qtip               */
+	    		 $('div.qtip div.add-simple-task input.task').Watermark("Tarefa sem título");
+			     $('div.qtip div.add-simple-task textarea').Watermark("Descrição");
+    			/*------------------------------------------------------------------------*/
+
+    			    $('.qtip-active .button.close').button({
+    				icons: {
+    				    primary: "ui-icon-close"
+    				},
+    				text: false
+    			    })
+    			    .click(function(){
+    					$(componente).qtip('destroy');
+    			    });
+    							
+    			    $('.qtip-active .button.save').button().click(function(){
+    			    	
+    			    	var title = $('div.qtip div.add-simple-task input.task').val();
+    					var description = $('div.qtip div.add-simple-task textarea').val();
+
+    					var calendar, timezone = '';
+
+    					for (var i = 0; i < Calendar.signatures.length; i++){
+    						if(Calendar.signatures[i].type == 1 && Calendar.signatures[i].calendar.type == 1){
+    							calendar = Calendar.signatures[i].calendar.id;
+    							timezone = Calendar.signatures[i].calendar.timezone;
+    							break;
+    						}
+    					}
+
+    			    	DataLayer.put('schedulable', 
+    		    		{
+    		    			summary: title, 
+    		    			description: description, 
+    		    			type: '2', 
+    		    			calendar: calendar, 
+    		    			timezone: timezone,
+							status: '1',
+    		    			startTime: new Date().toString('yyyy-MM-dd 00:00:00'),
+    		    			endTime: new Date().toString('yyyy-MM-dd 00:00:00'),
+    		    			allDay: '1',
+					participants: 
+					[{  
+					    user: User.me.id, 
+					    isOrganizer: 1,
+					    acl: 'row'
+					}]
+    		    		});
+    			    	
+                        $(componente).qtip('destroy');
+
+                    });
+
+    			    $('.qtip-active .button.advanced').button().click(function(){
+
+    			    	var startEvent = new Date();
+    					var configData = (startEvent.toString('mm') < 30)  ? {minutes: (30 - parseInt(startEvent.toString('mm')))} : {hours: 1, minutes: '-'+startEvent.toString('mm')};
+    					startEvent.add(configData);
+    			
+						var componente = $(this);
+                        var description = $('div.qtip div.add-simple-task textarea[name="description"]').val();
+
+    					taskDetails({
+                            summary: $('div.qtip div.add-simple-task input[name="summary"]').val(),
+                            description: description == 'Descrição' ? '' : description,
+    						startTime: startEvent.getTime(),
+    						endTime: dateCalendar.decodeRange(startEvent, (!!User.preferences.defaultCalendar ? (	!!Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration ?  
+    							(Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration) : (User.preferences.defaultDuration)) : (User.preferences.defaultDuration)))
+    					}, true );
+
+                        $(componente).qtip('destroy');
+    			    });
+    								
+    				$('.qtip-active .button.cancel').button().click(function(){
+    					$(componente).qtip('destroy');
+    			    });
+    							
+    			    $('.qtip-active .button').button();
+    			
+    			$('div.qtip.qtip-blue.qtip-active').addClass('new-task');
+            }
+	}
+		});
+
+	$(".button.add.add-activity").click(function(event){
+			var startEvent = new Date();
+			var configData = (startEvent.toString('mm') < 30)  ? {minutes: (30 - parseInt(startEvent.toString('mm')))} : {hours: 1, minutes: '-'+startEvent.toString('mm')};
+			startEvent.add(configData); 
+			
+			activityDetails({ 
+				startTime: startEvent.getTime(),
+				endTime: dateCalendar.decodeRange(startEvent, (!!User.preferences.defaultCalendar ? (	!!Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration ?  
+						(Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration) : (User.preferences.defaultDuration)) : (User.preferences.defaultDuration)))
+			}, true );
+
+	});
 
 	var calendar = $('#calendar').fullCalendar(DataLayer.merge({ 
@@ -189,9 +346,21 @@
 			year: 'ano'
 		},
+		
+		eventRender: function( event, element, view ){
 		/*
-		eventRender: function( event, element, view ){
-			$(element).attr( 'event-id', event.id );
-		},
-		*/
+			 * TODO - Encontrar icones mais filé
+			 */
+			var img_icon = "";
+			if(event.type == 1)
+				img_icon = "mini-event.png";
+			if(event.type == 2)
+				img_icon = "mini-task.png";
+			if(event.type == 3)
+				img_icon = "activity_icon.jpg";
+
+			
+    	    element.find(".fc-event-inner.fc-event-skin").prepend($('<img style="width: 11px; height: 13px;" class="" src="../prototype/modules/calendar/img/' + img_icon + '"></img>'));
+		},
+		
 		select: function( start, end, allDay, event, view ){
 			if (view.name == "month") {
@@ -285,36 +454,48 @@
 		eventClick: function( evt, event, view ){
 			evt.id = evt.id.split('-')[0];
-                        if(evt.selectable){
-                            if(evt.isRepeat){
-                                $.Zebra_Dialog(evt.title + ' é um evento com repetição.', {
-                                        'type':     'question',
-                                        'overlay_opacity': '0.5',
-                                        'buttons':  ['Editar todas ocorrências', 'Editar essa ocorrência'],
-                                        'onClose':  function(clicked) {
-                                                if(clicked == 'Editar todas ocorrências') {
-                                                    eventDetails( DataLayer.get( "schedulable", evt.id), true);
-                                                }else{
-                                                    /*
-                                                    * TODO - repeat foi adicionado pois melhorias devem ser feitas no rollback do
-                                                    *DataLayer, repeat somente é usado quando se trata da criação de um evento
-                                                    *pela edição de uma ocorrência.
-                                                    */      
-                                                    var repeat = mount_exception(evt.id, evt.occurrence);
-                                                                                                  
-                                                    $('.calendar-copy-move input[name="typeEvent"]').val("3");
-                                                    
-                                                    eventDetails(copyAndMoveTo(false , evt.id , false, "3", evt), true, '', false, repeat);
-                                                }       
-                                        }
-                                });
-                                
-                            }else{
-				var schedulable = DataLayer.get( "schedulable", evt.id);
-				schedulable.calendar = evt.calendar;
-				eventDetails( schedulable, true);
-				
-			    }
-                                
+            
+            switch (parseInt(evt.type)){
+                case 1:
+                    if(evt.selectable){
+                        if(evt.isRepeat){
+                            $.Zebra_Dialog(evt.title + ' é um evento com repetição.', {
+                                'type':     'question',
+                                'overlay_opacity': '0.5',
+                                'buttons':  ['Editar todas ocorrências', 'Editar essa ocorrência'],
+                                'onClose':  function(clicked) {
+                                    if(clicked == 'Editar todas ocorrências') {
+                                        eventDetails( DataLayer.get( "schedulable", evt.id), true);
+                                    }else{
+                                        /*
+                                        * TODO - repeat foi adicionado pois melhorias devem ser feitas no rollback do
+                                        *DataLayer, repeat somente é usado quando se trata da criação de um evento
+                                        *pela edição de uma ocorrência.
+                                        */      
+                                        var repeat = mount_exception(evt.id, evt.occurrence);
+                                                                                          
+                                        $('.calendar-copy-move input[name="typeEvent"]').val("3");
+                                        
+                                        eventDetails(copyAndMoveTo(false , evt.id , false, "3", evt), true, '', false, repeat);
+                                    }       
+                                }
+                            });
+                        }else{
+                            var schedulable = DataLayer.get( "schedulable", evt.id);
+                            schedulable.group = evt.calendar;
+                            eventDetails( schedulable, true);
+                            }
                         }
+                        break;
+                    case 2:
+                        var task = DataLayer.get( "schedulable", evt.id);
+                        task.group = evt.calendar;
+                        taskDetails( task, true);
+                        break;
+                    case 3:
+                        var activity = DataLayer.get( "schedulable", evt.id);
+                        activity.group = evt.calendar;
+                        activityDetails( activity, true);
+                        break;
+            }
 		},
 		
@@ -322,6 +503,7 @@
 			contentMenu();
 		}
-	}, dateCalendar));
- 
+	}, dateCalendar));	
+		
+		
 	contentMenu();
 	 
@@ -346,4 +528,9 @@
 	});	  
 	//Todo chamada do metodo que adiciona ao full calendar o botao de listagem de eventos  
-	//listEvents();
+	printEvents();
 });
+
+
+function useDesktopNotification(){
+	return !!parseInt(User.preferences.useDesktopNotification);
+}
